! MessageBox Version of MSGDMP

SUBROUTINE MSGDMP(CLEV,CSUB,CMSG)
    USE DFWIN
    IMPLICIT NONE
    CHARACTER:: CLEV*(*),CSUB*(*),CMSG*(*)
    CHARACTER:: buffer*(len(csub) + len(cmsg) + 4)
    INTEGER(4):: ret

    buffer = csub // ": " // cmsg // char(0)
    if (CLEV == "E") then
        ret = MessageBox(0, buffer, "DCL Error"C, &
            ior(MB_OK, MB_ICONSTOP))
    else if (CLEV == "W") then
        ret = MessageBox(0, buffer, "DCL Warning"C, &
            ior(MB_OKCANCEL, MB_ICONEXCLAMATION))
    else
        ret = MessageBox(0, buffer, "DCL Message"C, &
            ior(MB_OK, MB_ICONINFORMATION))
    endif

END SUBROUTINE